Welcome to XC Setup

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage.

XC Setup provides system setup and configuration information to all other XConnect applications and clients. XC Setup will automatically start when any XConnect module is started. It is not necessary to start XC Setup manually. XC Setup requires a default/primary database to store station setup information, sensor setup information, and pollgroup information. XConnect Version 2 has moved the station/senor and pollgroup information from the INI file to the database.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around in XC Setup

The XC Setup application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The Status Window provides the user with informational or error messages.

Click an area on the image below for more information.

Copyright © 2005 Sutron Corporation. All rights reserved.


Upgrading to XConnect Version 2

In version 2 of XConnect, a major change has been made affecting the XCONNECT.INI file. All station, sensor and pollgroup parameters have been removed from the INI file to the XConnect default/primary database. The XConnect database schema has been modified with updated XC_SITES, XC_SITESENSORS and new tables such as, XC_POLLGROUPS.

To upgrade to XConnect verion 2 with your existing INI file:

  1. In Windows Explorer, make a backup copy of the current INI file.

  2. Start XC Setup.

  3. From the XC Setup main Db Options menu, choose Select Default Database option. Click OK to save settings.

  4. Next, from the XC Setup main Db Options menu, choose Import INI to DB. XC Setup will read all stations, sensor and pollgroup information from the INI file and create the database records.


Starting XC Setup

Once the XConnect installation is complete, you will have a program group containing all the XConnect program icons. XC Setup can be started one of two ways: manually or automatically.

To start XC Setup manually

  • Go to the Start menu, select Programs - XConnect - XC Setup.

To start XC Setup automatically

  • Start any XConnect program (i.e., XC Desktop or XC Mux) and XC Setup will be started automatically.

After startup, XC Setup reads the INI file and stores all the parameters in its memory. XC Setup will provide this information to any XConnect applications and XConnect clients requesting setup information. If any applications send changes to XC Setup, XC Setup will automatically save the parameters in memory to the INI file every 10 miniutes.


Clearing the Status Window

The purpose of the status window is for XC Setup to display the all data requests via COM or DDE to XC Setup. To clear the window of existing messages:

  1. Click the XC Setup icon on the desktop. The XC Setup application will start minimized.

  2. From the Options menu, select Clear Status Messages.

Copyright © 2005 Sutron Corporation. All rights reserved.


Logging status messages

The purpose of the Log Status Messages is more for troubleshooting. Logging all messages, it will provide Sutron customer support as a historical log of all events to help troubleshoot any problems. To log all status messages:

  1. Click the XC Setup icon on the desktop. The XC Setup application starts minimized.

  2. From the Options menu, select Log Status Messages or from the toolbar click on the [image] icon. The user will be required to enter/select the name of the file to store the status messages.


Reinitialize Params

Every XConnect application gets the configuration data it needs from the XC Setup program. But since most of this information is requested at application startup, there needs to be a mechanism for propagating changes that are made to the setup after the applications are already running. This mechanism is provided via the ReInitialize Params [image] function which can be found on the XC Setup toolbar or under the Options menu.

Clicking the ReInitialize Params [image] sends message all other XConnect applications instructing them to flush their local buffers and reload the latest setup information from XC Setup. Those applications that are accessing ports (XC Mux, XC Rtu) will also release the port, obtain new port information and reinitialize the port with the new parameters.


Backing up

Backing up the INI file

All the effort in an XConnect system is in the creation and maintenance of the INI file. Descriptions of all stations, sensors, poll groups, and data directories are stored in the INI file. All entries made in XC Desktop are stored by XC Setup in the INI file. It is good practice to save a backup copy of the INI file in another directory or computer in case of computer failure.

Restoring your system simply requires you to reinstall XConnect and then copy the INI file to the XConnect directory.


Working with INI Files

The configuration parameters for an XCONNECT data collection system are stored in the system ".INI" file. (Also referred to as the "setup" file.) The default .INI is the file XC Setup will open automatically on startup. When XConnect is newly installed, the name of the default setup file is "XCONNECT.INI".

Switching INI Files

There may be times when you want to change to a different INI file. For example, you might want to experiment with an alternate system configuration. If this alternate configuration requires a lot of changes in the setup, you will want to make a copy of your default INI file -- let's say you call the new file TEST.INI -- and then manually open this alternate file in XC Setup. To manually open the file:

  1. Click the XC Setup icon on the desktop. The XC Setup application starts minimized.

  2. From the File menu, select Open; or from the toolbar, click [image].

  3. Navigate to the location of your alternate .INI file and select it.

  4. Click OK.

Now you can make any changes you want using XC Desktop and XC Setup will store these changes in the alternate setup file (TEST.INI in the example above.)

TIP: If you want to make to make the newly opened file the default INI file, click the [image] button on the toolbar.


Save Setup Interval

After startup, XC Setup reads the INI file and stores all the parameters in its memory. XC Setup will provide this information to any XConnect applications and XConnect clients requesting setup information. If any applications send changes to XC Setup, XC Setup will automatically save the parameters in memory to the INI file every 10 miniutes. The user can change the default value of 10 minutes:

  1. Click the XC Setup icon on the desktop. The XC Setup application will start minimized.

  2. From the Options menu, select Edit Save Setup Interval. The Save Setup Interval dialog box will appear.

  3. Enter desired save interval and click OK.

  4. XC Setup will now automatically save the parameters stored in memory on the new interval.


Save Backup INI file

The Save Backup INI file menu option will save INI settings in memory to an alternate INI file for backup purposes. The new filename will have the date and time appended to the original INI filename.


Select Default Database

The DB Options menu options are used to interact with the default primary database for XConnect. When upgrading to XConnect version 2, a default database must be selected. This will hold all station, sensor and pollgroup information. Additional data storage options can be defined (storage to multiple database), but one database must be designated as the primary.


Import INI to DB

Once a default database is selected, the existing station, sensor and pollgroup information from the INI file will be imported/stored in the database. This step must be completed to upgrade to XConnect version 2.0.


Read DB Parameters

On startup, XC Setup will:

  1. read the INI file for system application settings

  2. read the database for stations and their setup information

  3. read the database for sensors and their setup information

  4. read the database for pollgroups and their setup information.

XCSetup will maintain this information in memory and not re-read the database. By selecting the Read DB Parameters menu option, XC Setup will re-read all database setup information. Afterwards, XC Setup will issue a ReInitialize Params command to all XConnect applications.


Read DB Pollgroups

On startup, XC Setup will:

  1. read the INI file for system application settings

  2. read the database for stations and their setup information

  3. read the database for sensors and their setup information

  4. read the database for pollgroups and their setup information.

XCSetup will maintain this information in memory and not re-read the database. By selecting the Read DB Pollgropus menu option, XC Setup will re-read only the pollgroup setup information. Afterwards, XC Setup will issue a ReInitialize Params command to all XConnect applications.


Troubleshooting tips

All XConnect applications interact closely with XC Setup all during data collection, data processing and data storage. If XC Setup is not functioning properly, it will affect all of XConnect. If you suspect this problem, select the All Messages check box to see what, if any activity. Proceed to the Error Messages topic to troubleshoot the specific errors displayed in XC Setup.


Error Messages

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Ensure that:

  • User name and password are entered correctly.

  • Caps lock key is on (User name and passwords are case-sensitive).

Troubleshooting steps:

Ensure that:

  • A client sending a DDE request has the correct DDE topic configured for XC Setup. The only valid DDE topic for XC Setup is Data.

Troubleshooting steps:

Ensure that:

  • A client sending a DDE request has the correct DDE item configured for XC Setup. Refer to the XConnect Technical reference for valid DDE items.

Troubleshooting steps:

Ensure that:

  • You have enough space on your hard drive.

  • There is not an existing document that is marked read-only.

Troubleshooting steps:

Potential reasons for error:

  • Corrupt keyword/value in INI file.

Keyword will be ignored. Re-select/configure parameter in XC Desktop.

  • Memory problems resulting from XConnect or another application.

Close all applications and re-start XConnect or reboot computer.

Troubleshooting steps:

Potential reasons for error:

  • File is already open.

Ensure the INI file is not opened by another application such as Notepad.

  • Insufficient disk space available.

Check the disk space available on the disk drive the XConnect is installed on. Remove files from the Recycle Bin or Temp directory.

Troubleshooting steps:

Ensure that:

  • User logged into Windows® has the correct privileges to change the registry. Check with your Network Administrator.

Troubleshooting steps:

Potential reasons for error:

  • Insufficient memory to add current link requests to current list.

Close all applications and re-start XConnect or reboot computer.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Refresh command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the current clients display a status message indicating the receipt of the Refresh message.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the ReInitialize command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the current clients display a status message indicating the receipt of the ReInitialize message.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Shutdown command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the current clients shutdown upon receipt of this message.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Refresh XC Decode parameters command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the XC Desktop receives this message. A dialog box will open in XC Desktop. If XC Decode parameters are not refreshed, click the Refresh ( [image]) icon.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Refresh XC Mux parameters command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the XC Desktop receives this message. A dialog box will open in XC Desktop. If XC Decode parameters are not refreshed, click the Refresh ( [image]) icon.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Refresh XC Rtu parameters command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the XC Desktop receives this message. A dialog box will open in XC Desktop. If XC Decode parameters are not refreshed, click the Refresh ( [image]) icon.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Refresh XC Daps parameters command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the XC Desktop receives this message. A dialog box will open in XC Desktop. If XC Decode parameters are not refreshed, click the Refresh ( [image]) icon.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Refresh Sensor Decode parameters command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the XC Desktop receives this message. A dialog box will open in XC Desktop. If XC Decode parameters are not refreshed, click the Refresh ( [image]) icon.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the Item change event command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Troubleshooting steps:

Potential reasons for error:

  • A client "connected" to XC Setup did not receive the User login change command.

A client should properly "disconnect" from XC Setup prior to closing. If not, XC Setup will still think it is still "connected". A client may have been terminated abruptly by Windows before "disconnecting". In this case, the error can be ignored.

Make sure the current clients display the correct User and privilege in the left-hand panel of the status bar of each application.

Troubleshooting steps:

Potential reasons for error:

  • Unknown DDE error. Restart client program and XC Setup.

Error Messages

Potential error messages generated by XC Setup are:

Error 1: User does not have correct privileges to perform action

Error 2: Invalid user/password settings

Error 181: Invalid topic for DDE Request

Error 182: Error in DDE Request received. Invalid item -

Error 300: Error adding key -

Error 301: Error saving setup

Error 302: Unable to make current INI file default

Error 303: COM Data request for Item link failed -

Error 304: COM Client not responding to Refresh...

Error 305: COM Client not responding to ReInitialize...

Error 306: COM Client not responding XC Setup Shutdown...

Error 307: COM Client not responding to Reset XC Decode Parms...

Error 308: COM Client not responding to Reset XC Mux Parms...

Error 309: COM Client not responding to Reset XC Rtu Parms...

Error 310: COM Client not responding to Reset XC Daps Parms...

Error 311: COM Client not responding to Reset Sensor Decode Parms...

Error 312: COM Client not responding to item change event for

Error 313: COM Client not responding to user login change...

Error 180: DDE Error -

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


All Messages

By default, XC Setup will only show warnings and errors in the Status window. If the user wishes to see all data requests and transactions via DDE or COM, click the All Messages check box.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • Open -- select a setup file for XC Setup to access.

  • Save Setup -- Save all parameters in memory to the setup file; otherwise will auto-save setup hourly.

  • Login -- user login for XConnect system.

  • Exit -- terminate the application.

Options

  • ReInitialize Params -- send an application ReInitialize message to all applications (other XConnect programs and other client programs) connected to XC Setup controlling or using communcations ports (XC Mux and XC Rtu). Applications are instructed to flush their local buffers and reload the latest setup information from XC Setup and Reinitialize the communication ports by releasing the com port and opening it with new port parameters.

  • Make INI default -- define the setup file currently in use by XC Setup as the default setup file (ie, the file which XC Setup will open on startup).

  • Edit Save Setup Interval -- change the interval that XC Setup will automatically save parameters in memory to disk. Default is 10 minutes.

  • Save INI Backup Copy -- Save all parameters in memory to a backup file. Filename will be the current INI filename with the date and time appended to the filename.

  • Clear Status Messages -- clear the status window.

  • Log Status Messages -- logs all status messages to a disk file.

DB Options

  • Select Default Database -- select primary/default database for station/sensor/pollgroup parameters.

  • Import INI to DB -- import INI file station, sensor, pollgroup information to database.

  • Export DB Parms to INI -- get version information for this application.

  • Read DB Parameters -- read/refresh station, sensor and pollgroup parameters from database.

  • Read DB PollGroups -- read/refresh pollgroup parameters from database.

Help

  • XC Setup Help -- access this help system and defaults to Index tab.

  • XC Setup Contents -- access this help system an defaults to Contents tab.

  • About -- get version information for this application.


Status Window

The Status Window

The Status Window updates in real-time to keep you apprised of XC Setup messages. When XC Setup starts, it typically presents the name of the setup file it is accessing followed by a count of the records it has loaded into its local memory.


StatusBar

The Status Bar

The Status Bar is divided in two sections. The left-hand panel displays the user logged in and his/her privileges. The right-hand panel displays parameter hints.

If no users are defined, the user logged in will be NONE and the privileges will be FULL. As soon as a user is defined in XC Desktop, the user and privileges displayed will be NONE and NONE.


Toolbar

The XC Setup Toolbar

The toolbar area allows you to quickly access XC Setup functions.

The following tools are provided:

Display a file open dialog so you can select an alternate setup file.

Save setup information to setup file.

Send an application reinitialize message all XConnect applications instructing them to flush their local buffers and reload the latest setup information from XC Setup. Additionally, those applications that are accessing ports (XCMux, XCRtu) will also release the port and obtain new port information and re-open the port.

Defines the setup file currently in use by XC Setup as the default setup file (ie, the file which XC Setup will open on startup).

Clear status messages in status windows.

Log all status messages in log file.

Open the on-line help (this document).